#### Pattern recognition
- Two patterns are similar if the measure of the **distance** between their **feature vectors** is small.
- Three main issues:
	- what is a good measure?
	- which are the best features?
	- what is the difference margin to accept?

#### Definition of biometrics
**In general:** measure and statistical analysis of biological data
**In technological sense:** measure and analysis of physical and/or behavioral characteristics to authenticate/recognize a person
**Definition by Biometric Consortium**: automatic recognition of a person according to discriminative characteristics.

### Architecture of a Biometric System

**Enrollment:** processo di cattura dei dati biometrici di un utente, dai quali vengono estratte  *features* ottenendo un feature vector. Aggiungendo informazioni ausiliarie (identità, indirizzo...) otteniamo il template, che viene memorizzato nel *template archive*.
![[architecture - enrollment.png]]

**Recognition:** vengono catturati i dati biometrici dell'utente e viene prodotto un template (detto probe), viene fatto un confronto per similarità con i template presenti nell'archive.
- **verification 1:1** (verifichiamo che l'utente sia chi dice di essere)
- **identification 1:N** (deduciamo l'identità dell'utente dai dati biometrici)

- **Open-Set:** è possibile che molti probe sottomessi al sistema non appartengano a nessun utente presente nel gallery (o template archive). 
	- Possibili errori:
		- reject di una probe appartenente ad un soggetto registrato
		- accept di una probe non appartenente ad un soggetto iscritto
		- restituzione dell'identtià errata
- **Closed-Set**:
	- Possibile errore: restituzione dell'identità errata

- bisogna definire attentamente una threshold: i sample cambiano nel tempo (es. la mia faccia domani non sarà identica a quella di oggi, e così via...)
![[architecture - recognition.png]]

#### Moduli di un sistema biometrico
- **sensor module:** acquisisce i dati biometrici
- **feature extraction module:** un insieme di caratteristiche viene estratto dai dati acquisiti. Durante la fase di enrollment produce il template da memorizzare
- **matching module:** le feature estratte (probe) vengono matchate con i template salvati. Ritorna una o più identità corrispondenti
- **decision module:** prende una decisione sulla base dei risultati del modulo precedente.

#### Tipi di utenti
- Cooperativo (interessato ad essere identificato / verificato)
- Non cooperativo (cerca di non farsi identificare/verificare o non gliene frega un cazzo)
- Public/Private: gli utenti del sistema sono clienti o dipendenti dell'ente che installa il sistema
- Used/Non used
- Aware/Not aware

#### Scenari (settings)
- Controlled: si è guidati in in modo da acquisire i sample nel modo migliore
- Uncontrolled/undercontrolled: non si è supervisionati
	- possibili foto sfocate, in ombra ecc.
	- non verrà chiesto all'utente di ripetere l'acquisizione

#### Requisiti di un tratto biometrico
**Universalità:** lo devono possedere tutti (salvo rare eccezioni)
**Unicità:** deve essere diverso per ogni persona
**Permanenza:** non deve cambiare nel tempo
**Misurabilità (collectability):** deve essere misurabile da un sensore
**Accettabilità:** le persone non devono opporsi all'acquisizione, non deve essere un sistema invasivo.

